Retrieve a statement
curl --request GET \
--url https://gate.chip-in.asia/api/v1/company_statements/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://gate.chip-in.asia/api/v1/company_statements/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gate.chip-in.asia/api/v1/company_statements/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"format": "<string>",
"timezone": "Europe/Oslo",
"is_test": true,
"company_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query_string": "<string>",
"status": "<string>",
"download_url": "<string>",
"began_on": 1619740800,
"finished_on": 1619740800,
"created_on": 1619740800,
"updated_on": 1619740800,
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Company statements
Retrieve a statement
GET
/
company_statements
/
{id}
/
Retrieve a statement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Object ID (UUID)
Response
OK
Statement format, available formats: csv, xlsx.
Maximum string length:
32Timezone to localize statement-specific timestamps
Example:
"Europe/Oslo"
Indicates this is a test object, created using test API keys or using the merchant portal while in test mode.
ID of the Company.
Query parameters used to generate statement.
Status of statement generation e.g. pending, processing, success.
Download URL of a statement.
Date and time for the beginning of statement generation process.
Example:
1619740800
Date and time for finishing the statement generation process.
Example:
1619740800
Object creation time
Example:
1619740800
Object last modification time
Example:
1619740800
Statement request type
ID of a statement